Subject: Re: Making sure the RFC is good for Qwilt [WAS Re: Call for Adoption: Cache HTTP Response Header]

From: Shmulik Bibi Biran <[email-masked]>
Date: Tue, 12 Feb 2019 10:33:39 +0000

Hi,
Apologies for the last response.
I think this document does a good job covering the interesting information a cache can add, and is very clear and well defined.
My only suggestion is to add another optional parameter for debug capabilities:
I was thinking of a parameter named "id" of type string, that will hold an internal transaction id that can be used by the cache admin to debug problematic transactions.
Though perhaps "id" is too specific and can be replaced with a more generalized version like "dbg". Each implementation can decide what information will be helpful to put there.

The use case I have in mind, is to have some reference to internal logs that hold more information about the HTTP transaction / content, and will help in debug sessions when this token is provided by the end user (or any other entity along the transaction flow).

Thanks,
Shmulik

---------- Forwarded message ---------
From: Thomas Peterson <[email-masked] <mailto:[email-masked]>>
Date: Mon, Jan 14, 2019 at 11:51 AM
Subject: Re: Call for Adoption: Cache HTTP Response Header
To: Tommy Pauly <[email-masked] <mailto:[email-masked]>>, HTTP Working Group <[email-masked] <mailto:[email-masked]>>
Cc: <[email-masked] <mailto:[email-masked]>>

I too am also in favour of adopting, and despite my initial concerns not being completely addressed with any update to the document (see https://lists.w3.org/Archives/Public/ietf-http-wg/2018JulSep/0314.html <https://lists.w3.org/Archives/Public/ietf-http-wg/2018JulSep/0314.html>), I don't believe these should block it moving forward.

Regards

On 13/01/2019 20:19, Tommy Pauly wrote:
> Hello HTTPBis,
> 
> In Bangkok, we had a presentation from Mark on a draft to define a standard Cache HTTP Response Header, that can be used to replace non-standard uses of the "X-Cache" header. The document can be found here: https://tools.ietf.org/html/draft-nottingham-cache-header-00 <https://tools.ietf.org/html/draft-nottingham-cache-header-00>.
> 
> The response in the room was favorable to having the group work on this header, but we didn't have time (and hadn't had sufficient discussion) to do a formal call for adoption.
> 
> This email starts a request for feedback, and a call for adoption. Please reply to this email with your thoughts, and state whether or not you believe the group should adopt this document. Feedback is requested by Friday, January 25th.
> 
> Best,
> Tommy

-- 
Shmulik Bibi Biran
Qwilt | Work: +972-72-2221704 <>| Mobile: +972-58-5439876 <> | [email-masked] <mailto:[email-masked]>